.position-static { position: static !important; }
.position-relative { position: relative !important; }
.position-absolute { position: absolute !important; }
.position-fixed { position: fixed !important; }
.position-sticky { position: sticky !important; }

.top-0 { inset-block-start: 0 !important; }
.top-50 { inset-block-start: 50% !important; }
.top-100 { inset-block-start: 100% !important; }
.bottom-0 { inset-block-end: 0 !important; }
.bottom-50 { inset-block-end: 50% !important; }
.bottom-100 { inset-block-end: 100% !important; }
.start-0 { inset-inline-start: 0 !important; }
.start-50 { inset-inline-start: 50% !important; }
.start-100 { inset-inline-start: 100% !important; }
.end-0 { inset-inline-end: 0 !important; }
.end-50 { inset-inline-end: 50% !important; }
.end-100 { inset-inline-end: 100% !important; }
.inset-0 { inset: 0 !important; }

.translate-middle { transform: translate(-50%, -50%) !important; }
.translate-middle-x { transform: translateX(-50%) !important; }
.translate-middle-y { transform: translateY(-50%) !important; }

.z-0 { z-index: var(--z-0) !important; }
.z-1 { z-index: var(--z-1) !important; }
.z-10 { z-index: var(--z-10) !important; }
.z-100 { z-index: var(--z-100) !important; }
.z-auto { z-index: auto !important; }

.text-start { text-align: left !important; }
.text-center { text-align: center !important; }
.text-end { text-align: right !important; }

@media (min-width: 640px) {
  .text-sm-start { text-align: left !important; }
  .text-sm-center { text-align: center !important; }
  .text-sm-end { text-align: right !important; }
}

@media (min-width: 768px) {
  .text-md-start { text-align: left !important; }
  .text-md-center { text-align: center !important; }
  .text-md-end { text-align: right !important; }
}

@media (min-width: 1024px) {
  .text-lg-start { text-align: left !important; }
  .text-lg-center { text-align: center !important; }
  .text-lg-end { text-align: right !important; }
}

@media (min-width: 1280px) {
  .text-xl-start { text-align: left !important; }
  .text-xl-center { text-align: center !important; }
  .text-xl-end { text-align: right !important; }
}
